All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Class SelectorMenuItemNode

    com.sas.servlet.tbeans.models.SelectorMenuItemNode

All Implemented Interfaces:
  NodeInterface, SelectorMenuItemNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class SelectorMenuItemNode

implements SelectorMenuItemNodeInterface

SelectorMenuNode extends MenuNode and provides an implementation of SelectorMenuNodeInterface

See Also:
  Serialized Form

Constructor Summary
`SelectorMenuItemNode()` SelectorMenuNode constructor
`SelectorMenuItemNode(BaseTransformation selector)`

Method Summary
`BaseTransformation` | `getSelector()` Returns the selector associated with the menu node
`void` | `setSelector(BaseTransformation selector)` Sets the selector associated with the Menu

Methods inherited from class com.sas.servlet.tbeans.models.Node
`addItems, getIndex, getNodeExpandedText, getNodeText, getNodeType, getNodeTypes, getObjectData, isExternalUpdateSupported, setExternalUpdateSupported, setNodeExpandedText, setNodeText, setNodeType, setObjectData, toString`

Methods inherited from interface com.sas.servlet.tbeans.models.NodeInterface
`getNodeExpandedText, getNodeText, getNodeType`

Constructor Detail

### SelectorMenuItemNode

    public SelectorMenuItemNode()

  SelectorMenuNode constructor

### SelectorMenuItemNode

    public SelectorMenuItemNode(BaseTransformation selector)

Method Detail

### setSelector

    public void setSelector(BaseTransformation selector)

  Sets the selector associated with the Menu

  Specified by:
    `setSelector` in interface `SelectorMenuItemNodeInterface`
  Parameters:
    `selector` - - selector object which will be transformed to a string

### getSelector

    public BaseTransformation getSelector()

  Returns the selector associated with the menu node

  Specified by:
    `getSelector` in interface `SelectorMenuItemNodeInterface`
  Returns:
    the selector associated with the menu node

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.